@echo off

if "%JAVA_HOME%" == "" goto error

REM -----------------------------------------------------------
REM The targets are the different build scripts.
REM The default "dist" is suggested
REM and does not require any external packages
REM 
REM "core"           target builds ECS core classes
REM "clean"          target removes bin directory
REM "jar"            target builds core + jar
REM "javadoc"        target builds the javadoc
REM "package"        target builds core + jar + javadoc + distribution
REM -----------------------------------------------------------
set TARGET=%1%
REM set TARGET=core
REM set TARGET=clean
REM set TARGET=jar
REM set TARGET=package
REM set TARGET=javadoc
set XERCES=..\lib\xerces.jar


REM --------------------------------------------
REM No need to edit anything past here
REM --------------------------------------------
set BUILDFILE=build-ecs.xml

if "%TARGET%" == "" goto setdist
goto final

:setdist
set TARGET=jar
goto final

:final

echo Now building %TARGET%...

if exist %JAVA_HOME%\lib\tools.jar set CLASSPATH=%CLASSPATH%;%JAVA_HOME%\lib\tools.jar
set CP=%CLASSPATH%;xml.jar;ant.jar;%XERCES%

echo Classpath: %CP%
echo JAVA_HOME: %JAVA_HOME%

%JAVA_HOME%\bin\java.exe -classpath %CP% org.apache.tools.ant.Main -buildfile %BUILDFILE% %TARGET%

goto end

REM -----------ERROR-------------
:error
echo "ERROR: JAVA_HOME not found in your environment."
echo "Please, set the JAVA_HOME variable in your environment to match the"
echo "location of the Java Virtual Machine you want to use."

:end
