#!/bin/sh

# -----------------------------------------------------------
# The targets are the different build scripts.
# The default "dist" is suggested
# and does not require any external packages
# 
# "core"           target builds ECS core classes
# "clean"          target removes bin directory
# "jar"            target builds core + jar
# "javadoc"        target builds the javadoc
# "package"        target builds core + jar + javadoc + distribution
# -----------------------------------------------------------
#
# -----------------------------------------------------------
TARGET=${1}
#TARGET=core
#TARGET=clean
#TARGET=jar
#TARGET=package
#TARGET=javadoc

XERCES=../lib/xerces.jar

# --------------------------------------------
# No need to edit anything past here
# --------------------------------------------

if test -z "${JAVA_HOME}" ; then
    echo "ERROR: JAVA_HOME not found in your environment."
    echo "Please, set the JAVA_HOME variable in your environment to match the"
    echo "location of the Java Virtual Machine you want to use."
    exit
fi

if test -z "${TARGET}" ; then 
TARGET=jar
fi

if test -f ${JAVA_HOME}/lib/tools.jar ; then
    CLASSPATH=${CLASSPATH}:${JAVA_HOME}/lib/tools.jar
fi

echo "Now building ${TARGET}..."

CP=${CLASSPATH}:xml.jar:ant.jar:${XERCES}

echo "Classpath: ${CP}"
echo "JAVA_HOME: ${JAVA_HOME}"

BUILDFILE=build-ecs.xml

${JAVA_HOME}/bin/java -classpath ${CP} org.apache.tools.ant.Main -buildfile ${BUILDFILE} ${TARGET}
